@use crate::Page;
@use crate::templates::base_html;
@use crate::templates::simple_list_html;
@use crate::Urler;
@use kitchen_sink::ArcRichCrateVersion;
@use kitchen_sink::RichCrate;
@use render_readme::Renderer;

@(page: &Page, trending: &[(ArcRichCrateVersion, RichCrate)], updated: &[(ArcRichCrateVersion, RichCrate)], url: &Urler, markup: &Renderer)

@:base_html(page, {
    <header id="home">
        <div class="inner-col">
            <h1><a href="/">Lib.rs</a> › New</h1>
            <p>Newly published and recently popular Rust libraries and applications.</p>
            <form role="search" id=search method="get" action="/search">
                <input accesskey="s" placeholder="name, keywords, description" autocapitalize="off" autocorrect="off" spellcheck="false"autocomplete="off" tabindex="1" type=search id=search_q name=q><button type=submit>Search</button>
            </form>
            <nav>
                <ul><li><a href="/">Categories</a></li>
                <li class="active">New and trending</li>
                <li><a href="/stats">Stats</a></li>
                <li><a href="/std">Popular</a></li>
                <li><a href="/dash">Maintainer Dashboard</a></li>
            </ul></nav>
        </div>
    </header>

    <main id="trending">
        <div class="inner-col">
        <section class="new">
            <h3>Notable new releases</h3>
            <ul class="crates-list">
                @:simple_list_html(updated, url, markup, true)
            </ul>
        </section>
        <section class="trending">
            <h3>Trending this month</h3>
            <ul class="crates-list">
                @:simple_list_html(trending, url, markup, false)
            </ul>
        </section>
    </main>

    <footer>
        <div class="inner-col" role="contentinfo">
        <p><a href="/">All categories</a>. <a href="/about">About the site</a>. <a href="/atom.xml">Feed</a>. By <a href="/~kornelski">kornelski</a>. Not affiliated with the Rust Project.</div></footer>
})
